## python-seqcluster 1.2.7%2Bds

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=seqcluster
export PYBUILD_BEFORE_TEST=cp -av {dir}/data {build_dir} || true

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	ln -s /usr/share/javascript/jquery-ui/themes/base/jquery-ui.css misc/css/jquery-ui.css
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman   doc/source build/man # Manpage generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml  doc/source build/html # HTML generator

override_dh_auto_install:
	dh_auto_install
	find debian/python3-seqcluster -name "*.bed" | xargs -r chmod -x
	# avoid hassle with refs to external instances of bootstrap and jquery
	rm -r debian/python3-seqcluster/usr/lib/python3*/dist-packages/data/examples_report/
	mv debian/python3-seqcluster/usr/bin debian/seqcluster/usr/

override_dh_installdocs:
	dh_installdocs
	# substitute with local copy of image - if image is available in first place
	sed -i 's%https://s3.amazonaws.com/github/ribbons/forkme_right_darkblue_121621.png%usr/share/doc/python-seqcluster-doc/html/forkme_right_darkblue_121621.png%' debian/python-seqcluster-doc/usr/share/doc/python-seqcluster-doc/html/*.html
	sed -i 's%http...i.makeagif.com.media.7-03-2016..*\.gif%not found%g' debian/python-seqcluster-doc/usr/share/doc/python-seqcluster-doc/html/outputs.html debian/python-seqcluster-doc/usr/share/doc/python-seqcluster-doc/html/getting_started.html
	cp debian/image/forkme_right_darkblue_121621.png debian/python-seqcluster-doc/usr/share/doc/python-seqcluster-doc/html/

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo -n "PWD:" $(shell pwd)
	ln -sf $(CURDIR)/data $(shell pybuild --print build_dir --interpreter python3)
	dh_auto_install
	sed -i '1s/$$/ -d/' $(CURDIR)/debian/python3-seqcluster/usr/bin/seqcluster
	PYBUILD_SYSTEM=custom \
	    PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
	    cd {build_dir}; export PYTHONPATH=$$(pwd):$$(build_dir); {interpreter} -m nose \
	    -q" dh_auto_test
else
	echo "Not running tests."
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f data/examples/cluster/seqs_map_rmlw.bam
	find . -name "*.bai" | xargs -r rm
	rm -rf seqcluster.egg-info/
	rm -rf test/test_automated_output
	rm -f misc/css/jquery-ui.css

## python-seqcluster 1.2.9%2Bds

=== requirements.txt ===
pysam>=0.8.2.1
biopython
pybedtools>=0.6.8
scipy>=0.15.1
numpy
nose>=1.3.0
progressbar2
pandas>=0.14.1
colorlog
mirtop
pyyaml
pytz

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/seqbuster.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/seqbuster.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/seqbuster"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/seqbuster"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-seqcluster 1.2.7+ds

=== debian/changelog ===
python-seqcluster (1.2.7+ds-1) unstable; urgency=medium

  * Initial release (Closes: #903345)

    Upon rejection clarified the dual license of ./misc/js/dragscrollable.js
    and removed the jquery-ui.css from the source tree.

 -- Steffen Moeller <moeller@debian.org>  Tue, 07 Jul 2020 20:21:43 +0200

=== debian/control ===
Source: python-seqcluster
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: contrib/science
#Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-toolz,
               python3-pybedtools,
               python3-pysam,
               python3-numpy,
               python3-progressbar,
               python3-nose,
               python3-recommonmark,
               python3-biopython,
               python3-pandas,
               python3-yaml,
               python3-mirtop,
               python3-scipy,
               samtools,
               bedtools,
               mirtop,
               libjs-jquery-ui,
               python3-colorlog <!nocheck>,
               vienna-rna <!nocheck>,
               python3-sphinx
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/python-seqcluster
Vcs-Git: https://salsa.debian.org/med-team/python-seqcluster.git
Homepage: https://github.com/lpantano/seqcluster
Rules-Requires-Root: no

Package: python3-seqcluster
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-pysam,
         python3-pybedtools,
         python3-scipy (>=0.15.1),
         python3-numpy,
         python3-nose (>=1.3.0),
         python3-progressbar (>=2.3.0),
         python3-pandas,
         python3-colorlog,
         python3-mirtop,
         python3-recommonmark,
         python3-yaml
Recommends: rna-star,
            bowtie2|bowtie,
            fastqc,
            samtools,
            bedtools,
            mirtop,
            python3-cutadapt,
            libjs-bootstrap,
            libjs-jquery,
            libjs-jquery-datatables,
            libjs-jquery-tablesorter,
            libjs-jquery-ui,
# listed as a requirement
            python3-dateutils,
            python3-tz,
# https://github.com/lpantano/seqcluster/blob/master/scripts/install_libraries.R
            r-bioc-deseq2,
            r-cran-devtools,
            r-cran-dplyr,
            r-cran-ggplot2,
            r-cran-gplots,
            r-cran-gridextra,
            r-cran-gtools,
            r-cran-knitr,
            r-cran-pheatmap,
            r-cran-reshape,
            vienna-rna,
            r-bioc-edger,
            r-bioc-htsfilter,
            r-bioc-degreport
Suggests: seqcluster
Description: analysis of small RNA in NGS data
 Identifies small RNA sequences of all sorts in RNA sequencing data. This is
 especially helpful for the identification of RNA that is neither coding nor
 belonging to the already well-established group of miRNA, towards many tools
 feel constrained to.
 .
 This package provides the Python module. For executables see the package
 'seqcluster'.
           
Package: seqcluster
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-seqcluster
Description: analysis of small RNA in NGS data
 Seqcluster investigates small RNA sequences of all sorts in RNA
 sequencing data. This is especially helpful for the identification of
 RNA that is neither coding nor belonging to the already well-established
 group of miRNA, towards many tools feel constrained to.

Package: python-seqcluster-doc
Architecture: all
Section: contrib/doc
Depends: ${python3:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: analysis of small RNA in NGS data (documentation)
 Seqcluster investigates small RNA sequences of all sorts in RNA
 sequencing data. This is especially helpful for the identification of
 RNA that is neither coding nor belonging to the already well-established
 group of miRNA, towards many tools feel constrained to.
 .
 This package provides the HTML documentation for the
 Python-implemented seqcluster tool.

=== debian/watch ===
version=4

opts="repack,compression=xz,repacksuffix=+ds,dversionmangle=auto,uversionmangle=s/a/~a/" \
   https://github.com/lpantano/seqcluster/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-seqcluster 1.2.8+ds

=== debian/changelog ===
python-seqcluster (1.2.8+ds-1) unstable; urgency=medium

  * Team upload.
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 11:28:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: contrib/science
+XS-Autobuild: no
 #Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -27,7 +28,7 @@
                python3-colorlog <!nocheck>,
                vienna-rna <!nocheck>,
                python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-seqcluster
 Vcs-Git: https://salsa.debian.org/med-team/python-seqcluster.git
 Homepage: https://github.com/lpantano/seqcluster
@@ -39,10 +40,10 @@
          ${misc:Depends},
          python3-pysam,
          python3-pybedtools,
-         python3-scipy (>=0.15.1),
+         python3-scipy,
          python3-numpy,
-         python3-nose (>=1.3.0),
-         python3-progressbar (>=2.3.0),
+         python3-nose,
+         python3-progressbar,
          python3-pandas,
          python3-colorlog,
          python3-mirtop,
@@ -87,7 +88,7 @@
  .
  This package provides the Python module. For executables see the package
  'seqcluster'.
-           
+
 Package: seqcluster
 Architecture: all
 Depends: ${python3:Depends},

=== debian/watch ===
version=4

opts="repack,compression=xz,repacksuffix=+ds,dversionmangle=auto,uversionmangle=s/a/~a/" \
   https://github.com/lpantano/seqcluster/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-seqcluster 1.2.9%2Bds

=== debian/changelog ===
python-seqcluster (1.2.9+ds-3) unstable; urgency=medium

  * Team upload.
  * Add patch to switch tests from nose to nose2.
    Closes: #1018577

 -- Sascha Steinbiss <satta@debian.org>  Sat, 21 Jan 2023 10:04:10 +0100

python-seqcluster (1.2.9+ds-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * d/watch: Create proper download file name
  * Update lintian override info format in d/source/lintian-overrides on line 1.
  * Drop removed file from d/copyright

  [ Étienne Mollier ]
  * d/watch: move to git mode following github changes.

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jan 2023 16:52:44 +0100

python-seqcluster (1.2.9+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 16:01:15 +0200

python-seqcluster (1.2.8+ds-2) unstable; urgency=medium

  * Team upload.

  [ Lance Lin ]
  * d/control: remove recommonmark & added myst-parser (Closes: #993623)
  * Added d/patches/remove_commonmark.patch to remove recommonmark code

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Section: contrib/python for Python3 package
  * Fix lintian override
  * For packages in contrib / non-free CI is not working since non-free is
    not in sources.list.  Thus deactivating d/salsa-ci.yml which would be
    added by future routine-update runs otherwise

 -- Lance Lin <LQi254@protonmail.com>  Thu, 07 Apr 2022 20:43:50 +0700

=== debian/watch ===
version=4

opts=" \
	mode=git, \
	repack, \
	compression=xz, \
	repacksuffix=+ds, \
	dversionmangle=auto,uversionmangle=s/a/~a/, \
	filenamemangle=s%(?:.*?)?v?(\d[\d.]*).tar.gz%@PACKAGE@-$1.tar.gz% \
" \
https://github.com/lpantano/seqcluster.git \
refs/tags/v?@ANY_VERSION@

## python-seqcluster 1.2.9+ds

=== debian/changelog ===
python-seqcluster (1.2.9+ds-5) unstable; urgency=medium

  * Team upload.
  [ Alexandre Detiste ]
  * remove dep on python3-dateutil
  [ Santiago Vila ]
  * Fix build with nocheck.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Fri, 11 Apr 2025 19:35:00 +0200

python-seqcluster (1.2.9+ds-4) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * remove runtime dependency on python3-nose

  [ Étienne Mollier ]
  * scipy-1.12.patch: new: fix test failure due to binom_test deprecation.
    (Closes: #1076912)
  * d/control: declare compliance to standards version 4.7.0.
  * d/copyright: clarify residence in contrib due to vienna-rna.

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Aug 2024 19:41:04 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                python3-pysam,
                python3-numpy,
                python3-progressbar,
-               python3-nose,
-               python3-recommonmark,
+               python3-nose2,
+               python3-myst-parser,
                python3-biopython,
                python3-pandas,
                python3-yaml,
@@ -28,7 +28,7 @@
                python3-colorlog <!nocheck>,
                vienna-rna <!nocheck>,
                python3-sphinx
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-seqcluster
 Vcs-Git: https://salsa.debian.org/med-team/python-seqcluster.git
 Homepage: https://github.com/lpantano/seqcluster
@@ -36,18 +36,18 @@
 
 Package: python3-seqcluster
 Architecture: all
+Section: contrib/python
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-pysam,
          python3-pybedtools,
          python3-scipy,
          python3-numpy,
-         python3-nose,
          python3-progressbar,
          python3-pandas,
          python3-colorlog,
          python3-mirtop,
-         python3-recommonmark,
+         python3-myst-parser,
          python3-yaml
 Recommends: rna-star,
             bowtie2|bowtie,
@@ -62,7 +62,6 @@
             libjs-jquery-tablesorter,
             libjs-jquery-ui,
 # listed as a requirement
-            python3-dateutils,
             python3-tz,
 # https://github.com/lpantano/seqcluster/blob/master/scripts/install_libraries.R
             r-bioc-deseq2,

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	dh_auto_install
 	find debian/python3-seqcluster -name "*.bed" | xargs -r chmod -x
 	# avoid hassle with refs to external instances of bootstrap and jquery
-	rm -r debian/python3-seqcluster/usr/lib/python3*/dist-packages/data/examples_report/
+	rm -rf debian/python3-seqcluster/usr/lib/python3*/dist-packages/data/examples_report/
 	mv debian/python3-seqcluster/usr/bin debian/seqcluster/usr/
 
 override_dh_installdocs:
@@ -38,7 +38,7 @@
 	sed -i '1s/$$/ -d/' $(CURDIR)/debian/python3-seqcluster/usr/bin/seqcluster
 	PYBUILD_SYSTEM=custom \
 	    PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
-	    cd {build_dir}; export PYTHONPATH=$$(pwd):$$(build_dir); {interpreter} -m nose \
+	    cd {build_dir}; export PYTHONPATH=$$(pwd):$$(build_dir); {interpreter} -m nose2 \
 	    -q" dh_auto_test
 else
 	echo "Not running tests."
